Loading...
Searching...
No Matches
Opm::Accelerator::OpenclMatrix< Scalar > Class Template Reference

This struct resembles a csr matrix, only doubles are supported The matrix data is stored in OpenCL Buffers. More...

`#include <OpenclMatrix.hpp>`

## Public Member Functions

| OpenclMatrix (cl::Context *context, int Nb_, int Mb_, int nnzbs_, unsigned int block_size_)
void | upload (cl::CommandQueue *queue, Scalar *vals, int *cols, int *rows)
void | upload (cl::CommandQueue *queue, Matrix< Scalar > *matrix)
void | upload (cl::CommandQueue *queue, BlockedMatrix< Scalar > *matrix)

## Public Attributes

cl::Buffer | nnzValues
cl::Buffer | colIndices
cl::Buffer | rowPointers
int | Nb
int | Mb
int | nnzbs
unsigned int | block_size

## Detailed Description

template<class Scalar>
class Opm::Accelerator::OpenclMatrix< Scalar >

This struct resembles a csr matrix, only doubles are supported The matrix data is stored in OpenCL Buffers.

The documentation for this class was generated from the following files:

- opm/simulators/linalg/gpubridge/opencl/OpenclMatrix.hpp
- opm/simulators/linalg/gpubridge/opencl/OpenclMatrix.cpp